Retrieve PostgresVersion
Returns the PostgresVersion by ID.
The token can be generated using the Authentication API.
The ID (UUID) of the PostgresVersion.
2edb9507-fb0e-5f58-a65b-952b43ff3549Getting PostgresVersion was successful.
The ID (UUID) of the PostgresVersion.
2edb9507-fb0e-5f58-a65b-952b43ff3549The type of the resource.
The URL of the PostgresVersion.
/versions/2edb9507-fb0e-5f58-a65b-952b43ff3549Bad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Not Found
The resource that was requested could not be found.
Too Many Requests
The user has sent too many requests in a given amount of time.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
Service Unavailable
The server is currently unable to handle the request due to a temporary overloading or maintenance of the server.
Unexpected Internal Server Error
An unexpected internal error occurred. We apologize for the inconvenience!
GET /v2/versions/{versionId} HTTP/1.1
Host: postgresql.de-txl.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "2edb9507-fb0e-5f58-a65b-952b43ff3549",
"type": "postgresversion",
"href": "/versions/2edb9507-fb0e-5f58-a65b-952b43ff3549",
"metadata": {},
"properties": {
"version": "16",
"status": "SUPPORTED",
"comment": "text",
"canUpgradeTo": [
"17",
"18"
]
}
}Last updated
Was this helpful?